---
title: "GET /blueprintactions/oauth-clients - Blueprint Actions · RUAL Documentation"
description: "Get available OAuth clients"
canonical: https://docs.rual.nl/cluster/api/blueprint-actions/blueprintactions-oauth-clients-get
language: en
---

# GET /blueprintactions/oauth-clients

Get available OAuth clients

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
[
  {}
]
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintactions_view` | Required scope: blueprintactions_view |
